#1323 closed defect

powerpc/mvme5500/Makefile.am overrides CFLAGS

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: bsps Version: 4.9
Severity: major Keywords:
Cc: chirayudesai1@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

powerpc/mvme5500/Makefile.am

contains this:
...

#prevent the compiler from generating FP instructions
AM_CFLAGS += -msoft-float

...

This is plain wrong.

If this BSP is not able to handle hard-floats, -msoft-float should be added to this BSPs make/custom/*.cfg.

Change History (4)

comment:1 Changed on Sep 24, 2008 at 12:47:21 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:2 Changed on Sep 24, 2008 at 12:59:29 PM by Ralf Corsepius

Resolution: fixed
Status: closedreopened

comment:3 Changed on Dec 9, 2013 at 4:14:23 PM by Chirayu Desai

Cc: Chirayu Desai added

git says this was introduced by commit ee732739bf9021a7a22de95eca9095c49b1d9169

commit ee732739bf9021a7a22de95eca9095c49b1d9169
Author: Joel Sherrill <joel.sherrill@…>
Date: Thu Sep 13 14:26:24 2007 +0000

2007-09-07 Kate Feng <feng1@…>


  • ChangeLog?, Makefile.am, README, README.booting, README.irq, preinstall.am, GT64260/MVME5500I2C.c, include/bsp.h, irq/irq.c, irq/irq.h, irq/irq_init.c, pci/detect_host_bridge.c, pci/pci.c, pci/pci_interface.c, pci/pcifinddevice.c, start/preload.S, startup/bspclean.c, startup/bspstart.c, startup/pgtbl_activate.c, startup/reboot.c, vectors/bspException.h, vectors/exceptionhandler.c: Merge my improvements in this BSP including a new network driver for the 1GHz NIC.
  • network/if_100MHz/GT64260eth.c, network/if_100MHz/GT64260eth.h, network/if_100MHz/GT64260ethreg.h, network/if_100MHz/Makefile.am, network/if_1GHz/Makefile.am, network/if_1GHz/POSSIBLEBUG, network/if_1GHz/if_wm.c, network/if_1GHz/if_wmreg.h, network/if_1GHz/pci_map.c, network/if_1GHz/pcireg.h: New files.

Another thing worth looking at: http://www.rtems.org/pipermail/rtems-users/2013-December/012224.html (thanks for the link, gedare)

I'm working on this for Google Code-in (http://www.google-melange.com/gci/task/view/google/gci2013/5038497404551168), thought I would post whatever info I have.

comment:4 Changed on Nov 20, 2014 at 3:42:35 PM by Joel Sherrill

Description: modified (diff)
Resolution: wontfix
Status: reopenedclosed
Note: See TracTickets for help on using tickets.